<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <!-- Category Views -->
    <record id="view_category_form" model="ir.ui.view">
        <field name="name">products.category.form</field>
        <field name="model">products.category</field>
        <field name="arch" type="xml">
            <form string="Product Category">
                <sheet>
                    <group>
                        <field name="uuid"/>
                        <field name="name"/>
                        <field name="sequence"/>
                        <field name="product_count"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="view_category_list" model="ir.ui.view">
        <field name="name">products.category.list</field>
        <field name="model">products.category</field>
        <field name="arch" type="xml">
            <list string="Categories">
                <field name="sequence" widget="handle"/>
                <field name="name"/>
                <field name="uuid"/>
                <field name="product_count"/>
            </list>
        </field>
    </record>

    <!-- Category Action -->
    <record id="action_category" model="ir.actions.act_window">
        <field name="name">Categories</field>
        <field name="res_model">products.category</field>
        <field name="view_mode">list,form</field>
    </record>
</odoo>